using System;
using System.Collections.Generic;
using System.Text;

namespace PCI3001_NET
{
    /// <summary>
    /// Store the data of the analog input event
    /// </summary>
    public class AnalogInputEventArgs
    {
        /// <summary>
        /// Specify if the FIFO has overflow
        /// </summary>
        public byte FifoOverflow;
        /// <summary>
        /// The mask that has generated the interruption
        /// </summary>
        public uint InterruptMask;
        /// <summary>
        /// The size of data
        /// </summary>
        public uint ArgsSize;
    }
}
